Comparing objects
The Basics
Language Reference
PHP Manual

# Classes and Objects (PHP 5)

## Table of Contents

- The Basics
- Autoloading Objects
- Constructors and Destructors
- Visibility
- Scope Resolution Operator (::)
- Static Keyword
- Class Constants
- Class Abstraction
- Object Interfaces
- Overloading
- Object Iteration
- Patterns
- Magic Methods
- Final Keyword
- Object cloning
- Comparing objects
- Reflection
- Type Hinting
- Late Static Bindings
- Objects and references

## Introduction

In PHP 5 there is a new Object Model. PHP's handling of objects has been completely rewritten, allowing for better performance and more features.

Tip

See also the Userland Naming Guide.

Comparing objects
The Basics
Language Reference
PHP Manual